import type { BuilderBlock } from "../../types/builder-block";
import type { SizeName } from "../../constants/device-sizes";
type Column = {
    blocks: any;
    width?: number;
};
type StackColumnsAt = "tablet" | "mobile" | "never";
export interface ColumnProps {
    columns?: Column[];
    builderBlock: BuilderBlock;
    space?: number;
    stackColumnsAt?: StackColumnsAt;
    reverseColumnsWhenStacked?: boolean;
}
export declare const getGutterSize: (props: any, state: any, builderContext: any) => any;
export declare const getColumns: (props: any, state: any, builderContext: any) => any;
export declare const getWidth: (props: any, state: any, builderContext: any, index: number) => any;
export declare const getColumnCssWidth: (props: any, state: any, builderContext: any, index: number) => string;
export declare const maybeApplyForTablet: (props: any, state: any, builderContext: any, prop: string | undefined) => string | undefined;
export declare const columnsCssVars: (props: any, state: any, builderContext: any) => {
    "--flex-dir": string;
    "--flex-dir-tablet": string | undefined;
};
export declare const columnCssVars: (props: any, state: any, builderContext: any) => {
    "--column-width": string;
    "--column-margin-left": string;
    "--column-width-tablet": string | undefined;
    "--column-margin-left-tablet": string | undefined;
};
export declare const getWidthForBreakpointSize: (props: any, state: any, builderContext: any, size: SizeName) => number;
export declare const columnStyleObjects: (props: any, state: any, builderContext: any) => {
    columns: {
        small: {
            flexDirection: string;
            alignItems: string;
        };
        medium: {
            flexDirection: string;
            alignItems: string;
        };
    };
    column: {
        small: {
            width: string;
            marginLeft: string;
        };
        medium: {
            width: string;
            marginLeft: string;
        };
    };
};
export declare const columnsStyles: (props: any, state: any, builderContext: any) => string;
export declare const reactNativeColumnsStyles: (props: any, state: any, builderContext: any) => {
    flexDirection: string;
    alignItems: string;
};
export declare const reactNativeColumnStyles: (props: any, state: any, builderContext: any) => {
    width: string;
    marginLeft: string;
};
export declare const Columns: import("@builder.io/qwik").Component<ColumnProps>;
export default Columns;
export declare const STYLES = "\n.div-Columns {\n  display: flex;\n  line-height: normal;\n}.div-Columns-2 {\n  display: flex;\n  flex-direction: column;\n  align-items: stretch;\n}";
